using Microsoft.VisualStudio.TestTools.UnitTesting;
using CalculatorLibrary;

namespace CalculateLibraryUnitTests
{
    [TestClass]
    public class AdditionTests
    {
        [TestMethod]
        public void AddTwoWholeNumbers()
        {
            double expected = 10;
            double result = Calculate.Add(7, 3);

            Assert.AreEqual(expected, result);
        }

        [TestMethod]
        public void AddTwoFractionalNumbers()
        {
            double expected = 0.3;
            double result = Calculate.Add(0.2, 0.1);

            if (result < 0.301 && result > 0.299)
            {
                Assert.Inconclusive("Result is within acceptable bounds.");
            }
            else
            {
                Assert.Fail();
            }
        }
    }
}
